# Fixtures

There are multiple options to retrieve the fixtures within your subscription. The fixtures’ endpoints are divided into 10 categories. Per endpoint, you can find the details, including base URL, parameters, include options and more.&#x20;

* **GET All Fixtures:** returns all the fixtures accessible within your subscription.
* **GET Fixture by ID:** returns the single fixture you’ve requested by ID.
* **GET Fixtures by Multiple IDs:** returns the fixtures you’ve requested by IDs.
* **GET Fixture by Date Range:** returns the fixtures you’ve requested by date range.&#x20;
* **GET Fixture by Date:** returns the fixtures you’ve requested by a single date.
* **GET Fixture by Date Range for Team:** returns the fixtures you’ve requested by date range for a specific team.&#x20;
* **GET Fixture by Head To Head:** returns the head to head fixtures of two teams you’ve requested.&#x20;
* **GET Fixture by Search by Name:** returns all fixtures that match your search query.
* **GET Upcoming Fixtures by Market ID:** returns upcoming fixtures you've requested by Market ID.
* **GET Fixture by Last Updated Fixtures:** returns you all the games that have received updates within 10 seconds.

{% hint style="info" %}
**Please note** that you need to use one of our livescores endpoints for in-play fixtures.
{% endhint %}

### Include options

[`sport`](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/z0kWjB5EvZvqGsozw8vP/) [`round`](https://docs.sportmonks.com/v3/entities/league-season-schedule-stage-and-round#round) [`stage`](https://docs.sportmonks.com/v3/entities/league-season-schedule-stage-and-round#stage) [`group`](https://docs.sportmonks.com/v3/entities/league-season-schedule-stage-and-round#group) [`aggregate`](https://docs.sportmonks.com/v3/entities/fixture#aggregate) [`league`](https://docs.sportmonks.com/v3/entities/league-season-schedule-stage-and-round#league) [`season`](https://docs.sportmonks.com/v3/entities/league-season-schedule-stage-and-round#season)[`coaches`](https://docs.sportmonks.com/v3/entities/team-player-squad-coach-and-referee#coach) [`tvStations`](https://docs.sportmonks.com/v3/entities/other#tvstation) [`venue`](https://docs.sportmonks.com/v3/entities/other#venue) [`state`](https://docs.sportmonks.com/v3/entities/other#state)  [`weatherReport`](https://docs.sportmonks.com/v3/entities/other#weatherreport) [`lineups`](https://docs.sportmonks.com/v3/entities/fixture#lineup) [`events`](https://docs.sportmonks.com/v3/entities/fixture#event) [`timeline`](https://docs.sportmonks.com/v3/entities/fixture#event) [`comments`](https://docs.sportmonks.com/v3/entities/other#commentary) [`trends`](https://docs.sportmonks.com/v3/entities/statistic#trend) [`statistics`](https://docs.sportmonks.com/v3/entities/statistic#fixturestatistic) [`periods`](https://docs.sportmonks.com/v3/entities/fixture#period) [`participants`  ](https://docs.sportmonks.com/v3/entities/team-player-squad-coach-and-referee#team)[`odds`](https://docs.sportmonks.com/v3/entities/odd-and-prediction#odd)[`premiumOdds`](https://docs.sportmonks.com/football/endpoints-and-entities/entities/odd-and-prediction#premium-odd) [`inplayOdds`](https://docs.sportmonks.com/v3/entities/odd-and-prediction#inplayodd) [`prematchNews`](https://docs.sportmonks.com/v3/entities/other#news) [`postmatchNews`](https://docs.sportmonks.com/v3/entities/other#news) [`metadata`](https://docs.sportmonks.com/v3/entities/other#metadata) [`sidelined`](https://docs.sportmonks.com/v3/entities/team-player-squad-coach-and-referee#sidelined)[`predictions`](https://docs.sportmonks.com/v3/entities/odd-and-prediction#prediction-valuebet) [`referees`](https://docs.sportmonks.com/v3/entities/team-player-squad-coach-and-referee#referees) [`formations`](https://docs.sportmonks.com/v3/entities/fixture#formation) [`ballCoordinates`](https://docs.sportmonks.com/v3/entities/fixture#ballcoordinate) [`scores`](https://docs.sportmonks.com/v3/entities/fixture#score) [`xGFixture`](https://docs.sportmonks.com/v3/endpoints-and-entities/entities/expected) [`pressure`](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/includes/pressure-index) `expectedLineups`&#x20;

### **Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the fixtures endpoints are:

* [Fixture](https://docs.sportmonks.com/v3/entities/fixture#fixture)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/fixtures.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
